{% extends 'layout/app.twig' %}

{% block pageContent %}

<section>
    <header class="major">
        <h2>Travelgram uploaden</h2>
    </header>
    {% if formErrors %}
    <h4>Opgelet! &Eacute;&eacute;n of meerdere fouten opgetreden:</h4>
    <ul style="color: #a32c28;">
        {% for error in formErrors %}
            <li>{{ error }}</li>
        {% endfor %}
    </ul>
    {% endif %}
    <form method="post" action="/upload.php" role="form" enctype="multipart/form-data">
        <div class="row uniform 50%">
            <div class="12u$">
                Kies een .jpg-bestand: &nbsp;&nbsp;
                <input type="file" name="photo" id="photo" value="" autocomplete="off" placeholder="Selecteer reisfoto" />
            </div>
            <div class="6u 12u$(xsmall)">
                <input type="text" name="title" id="title" value="{{ title }}" placeholder="Titel" />
            </div>
            <div class="12u$">
                <textarea name="description" id="description" placeholder="Omschrijving" rows="6">{{ description }}</textarea>
            </div>
            <div class="12u$">
                <h3>Selecteer bijpassende tags indien van toepassing:</h3>
            </div>
            {% if tags|length > 0 %}
                {% for tag in tags %}
                    <div class="4u 12u$(xsmall)">
                        <input type="checkbox" name="tags[]" id="tag{{ tag.id }}" value="{{ tag.id }}">
                        <label for="tag{{ tag.id }}">{{ tag.title }}</label>
                    </div>
                {% endfor %}
            {% endif %}
            <div class="12u$">
                <ul class="actions">
                    <li>
                        <input type="hidden" name="moduleAction" value="add" />
                        <input type="submit" value="Toevoegen" class="special small" />
                    </li>
                </ul>
            </div>
        </div>
    </form>
</section>

{% endblock %}